Download:
child 1:ef4ec926e9a4
0:226664158c55
Anton Shestakov <engored@ya.ru>, Thu, 27 May 2010 15:35:45 +0900
Added .bashrc with hg prompt example.

1 файлов изменено, 47 вставок(+), 0 удалений(-) [+]
.bashrc file | annotate | diff | comparison | revisions
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/.bashrc Thu May 27 15:35:45 2010 +0900
@@ -0,0 +1,47 @@
+#!/bin/bash
+
+alias ls="ls --color=auto"
+
+function prompt_command {
+ local RETURN_CODE="$?"
+ local RESET="\[\e[0m\]"
+ local BOLD="\[\e[1m\]"
+
+ local R="\[\e[1;31m\]"
+ local G="\[\e[1;32m\]"
+ local Y="\[\e[1;33m\]"
+ local B="\[\e[1;34m\]"
+ local P="\[\e[1;35m\]"
+ local C="\[\e[1;36m\]"
+
+ local PROMPT_TEMPLATE="$P{branch|quiet}@{rev}{$R{update}}{$G+{rev|merge}}$R{status|modified}"
+
+ local PROMPT_COLOR=$G
+ if [[ ${EUID} == 0 ]] ; then
+ PROMPT_COLOR=$R
+ fi
+
+ if [[ "$RETURN_CODE" != 0 ]] ; then
+ local PROMPT_PREFIX="$R${RETURN_CODE} "
+ fi
+
+ local TEST_DIR=$PWD
+
+ while true
+ do
+ [[ -d $TEST_DIR/.hg ]] && local TRACKED=1 && break
+ [[ $TEST_DIR == '/' ]] && break
+ TEST_DIR=$(dirname $TEST_DIR)
+ done
+
+ if [[ $TRACKED ]] ; then
+ local MISC_INFO=" $(hg prompt $PROMPT_TEMPLATE)"
+ fi
+
+ PS1="\
+${BOLD}[$G\t ${RESET}\u@\h \
+${PROMPT_PREFIX}${RESET}\W${MISC_INFO}${RESET}${BOLD}]\
+${PROMPT_COLOR}\\\$${RESET} "
+}
+
+export PROMPT_COMMAND=prompt_command